> # NAME

> cgD3D11GetLatestDomainProfile - get the latest supported domain shader version

> # SYNOPSIS

>       #include <Cg/cgD3D11.h>

>       CGprofile cgD3D11GetLatestDomainProfile( void );

> # PARAMETERS

> None.

> # RETURN VALUES

> Returns the latest domain shader version supported by the current D3D device.

> Returns CG_PROFILE_UNKNOWN if no D3D device is currently set.

> # DESCRIPTION

> cgD3D11GetLatestDomainProfile retrieves the latest domain shader version that the current D3D device supports. This is an expanded interface function because it needs to know about the D3D device to determine the most current version supported.

> Starting in Cg 3.0, if the environment variable `CGD3D11_LATEST_DOMAIN_PROFILE` is set in the application's environment to a string that cgGetProfile translates to a valid profile (meaning not `CG_PROFILE_UNKNOWN`), then it is this CGprofile value that will be returned by cgD3D11GetLatestDomainProfile.

> # EXAMPLES

>       CGprofile bestDomainProfile = cgD3D11GetLatestDomainProfile();

> # ERRORS

> None.

> # HISTORY

> cgD3D11GetLatestDomainProfile was introduced in Cg 3.0.

> # SEE ALSO

> cgD3D11GetLatestGeometryProfile, cgD3D11GetLatestHullProfile, cgD3D11GetLatestPixelProfile, cgD3D11GetLatestVertexProfile